nodejs-6.17.1-1.el7.x86_64.rpm


Advertisement

Description

nodejs - JavaScript runtime

Property Value
Distribution CentOS 7
Repository EPEL x86_64
Package filename nodejs-6.17.1-1.el7.x86_64.rpm
Package name nodejs
Package version 6.17.1
Package release 1.el7
Package architecture x86_64
Package type rpm
Category Development/Languages
Homepage http://nodejs.org/
License MIT and ASL 2.0 and ISC and BSD
Maintainer -
Download size 4.67 MB
Installed size 16.37 MB
Node.js is a platform built on Chrome's JavaScript runtime
for easily building fast, scalable network applications.
Node.js uses an event-driven, non-blocking I/O model that
makes it lightweight and efficient, perfect for data-intensive
real-time applications that run across distributed devices.

Alternatives

Package Version Architecture Repository
nodejs-10.13.0-2.el7.x86_64.rpm 10.13.0 x86_64 OKey
nodejs-10.13.0-1.el7.x86_64.rpm 10.13.0 x86_64 OKey
nodejs-6.14.3-1.sdl7.x86_64.rpm 6.14.3 x86_64 PUIAS Unsupported
nodejs - - -

Requires

Name Value
ca-certificates -
libc.so.6(GLIBC_2.15)(64bit) -
libcrypto.so.10()(64bit) -
libcrypto.so.10(OPENSSL_1.0.1_EC)(64bit) -
libcrypto.so.10(libcrypto.so.10)(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libgcc_s.so.1(GCC_3.4)(64bit) -
libicudata.so.50()(64bit) -
libicui18n.so.50()(64bit) -
libicuuc.so.50()(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libpthread.so.0(GLIBC_2.3.2)(64bit) -
libpthread.so.0(GLIBC_2.3.3)(64bit) -
librt.so.1()(64bit) -
librt.so.1(GLIBC_2.2.5)(64bit) -
libssl.so.10()(64bit) -
libssl.so.10(libssl.so.10)(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.11)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.15)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.18)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.9)(64bit) -
libuv >= 1.9.1
libuv.so.1()(64bit) -
libz.so.1()(64bit) -
npm = 3.10.10-1.6.17.1.1.el7
rtld(GNU_HASH) -

Provides

Name Value
bundled(c-ares) = 1.10.1
bundled(http-parser) = 2.8.0
bundled(v8) = 5.1.281.111
nodejs = 6.17.1-1.el7
nodejs(abi) = 6.17
nodejs(abi6) = 6.17
nodejs(engine) = 6.17.1
nodejs(v8-abi) = 5.1
nodejs(v8-abi5) = 5.1
nodejs(x86-64) = 6.17.1-1.el7
nodejs-punycode = 2.0.0
npm(punycode) = 2.0.0

Conflicts

Name Value
node <= 0.3.2-12

Download

Type URL
Mirror download-ib01.fedoraproject.org
Binary Package nodejs-6.17.1-1.el7.x86_64.rpm
Source Package nodejs-6.17.1-1.el7.src.rpm

Install Howto

  1. Download latest epel-release rpm from
    http://download-ib01.fedoraproject.org/pub/epel/7/x86_64/
  2. Install epel-release rpm:
    # rpm -Uvh epel-release*rpm
  3. Install nodejs rpm package:
    # yum install nodejs

Files

Path
/usr/bin/node
/usr/lib/dtrace/node.d
/usr/lib/node_modules/
/usr/lib/rpm/nodejs_native.req
/usr/lib/rpm/fileattrs/nodejs_native.attr
/usr/share/doc/nodejs-6.17.1/AUTHORS
/usr/share/doc/nodejs-6.17.1/CHANGELOG.md
/usr/share/doc/nodejs-6.17.1/COLLABORATOR_GUIDE.md
/usr/share/doc/nodejs-6.17.1/GOVERNANCE.md
/usr/share/doc/nodejs-6.17.1/README.md
/usr/share/licenses/nodejs-6.17.1/LICENSE
/usr/share/man/man1/node.1.gz
/usr/share/node/
/usr/share/systemtap/
/usr/share/systemtap/tapset/node.stp

Changelog

2019-06-18 - Stephen Gallagher <sgallagh@redhat.com> - 1:6.17.1-1
- Update to 6.17.1 security release
- https://nodejs.org/en/blog/release/v6.17.1/
- https://nodejs.org/en/blog/release/v6.17.0/
- Drop debug build
2019-01-10 - Stephen Gallagher <sgallagh@redhat.com> - 1:6.16.0-2
- Bundle http-parser since it uses backported features not available in RHEL
2019-01-10 - Stephen Gallagher <sgallagh@redhat.com> - 1:6.16.0-1
- Update to 6.16.0 security release
- https://nodejs.org/en/blog/release/v6.16.0/
- https://nodejs.org/en/blog/release/v6.15.1/
- https://nodejs.org/en/blog/release/v6.15.0/
- https://nodejs.org/en/blog/release/v6.14.4/
2018-06-14 - Stephen Gallagher <sgallagh@redhat.com> - 1:6.14.3-1
- Update to 6.14.3 security release
- https://nodejs.org/en/blog/release/v6.14.3/
2018-05-03 - Stephen Gallagher <sgallagh@redhat.com> - 1:6.14.2-1
- Update to 6.14.2
- https://nodejs.org/en/blog/release/v6.14.2/
- https://nodejs.org/en/blog/release/v6.14.1/
2018-04-13 - Rafael dos Santos <rdossant@redhat.com> - 1:6.14.0-2
- Use standard Fedora linker flags (bug #1543859)
2018-03-28 - Stephen Gallagher <sgallagh@redhat.com> - 1:6.14.0-1
- Update to 6.14.0
- https://nodejs.org/en/blog/release/v6.14.0/
2018-03-08 - Stephen Gallagher <sgallagh@redhat.com> - 1:6.13.1-1
- Update to 6.13.1
- https://nodejs.org/en/blog/release/v6.12.4/
- https://nodejs.org/en/blog/release/v6.12.5/
- https://nodejs.org/en/blog/release/v6.13.0/
- https://nodejs.org/en/blog/release/v6.13.1/
2018-01-11 - Stephen Gallagher <sgallagh@redhat.com> - 1:6.12.3-1
- Update to 6.12.3
- https://nodejs.org/en/blog/release/v6.12.3/
2017-12-08 - Stephen Gallagher <sgallagh@redhat.com> - 1:6.12.2-1
- Update to 6.12.2
- https://nodejs.org/en/blog/release/v6.12.2/

See Also

Package Description
nodejs-abbrev-1.0.7-4.el7.noarch.rpm Abbreviation calculator for Node.js
nodejs-after-0.8.1-1.el7.noarch.rpm Nodejs module which provides after flow control
nodejs-agent-base-1.0.1-1.el7.noarch.rpm Turn a function into an `http.Agent` instance
nodejs-ain2-1.3.2-1.el7.noarch.rpm A Node.js module for syslog logging (and a continuation of ain)
nodejs-alter-0.2.0-1.el7.noarch.rpm Alters a string
nodejs-amdefine-0.0.4-1.el7.noarch.rpm Provide AMD's define() API for declaring modules in the AMD format
nodejs-ansi-0.2.1-1.el7.noarch.rpm ANSI escape codes for Node.js
nodejs-ansi-font-0.0.2-1.el7.noarch.rpm ANSI font styling utils
nodejs-ansi-regex-2.0.0-2.el7.noarch.rpm Regular expression for matching ANSI escape codes
nodejs-ansi-styles-1.0.0-1.el7.noarch.rpm ANSI escape codes for colorizing strings in the terminal
nodejs-ansicolors-0.3.2-4.el7.noarch.rpm Functions that surround a string with ansi color codes so it prints in color
nodejs-ansistyles-0.1.3-5.el7.noarch.rpm Functions that surround a string with ansistyle codes so it prints in style
nodejs-archy-0.0.2-8.el7.noarch.rpm Renders nested hierarchies with unicode pipes
nodejs-argparse-0.1.15-8.el7.noarch.rpm A native port of Python's argparse, an options parsing library
nodejs-arrify-1.0.0-1.el7.noarch.rpm Convert a value to an array
Advertisement
Advertisement